Bug 855960 - [REST-API]: There is no way to define number of pre-started vms creating new VM pool
[REST-API]: There is no way to define number of pre-started vms creating new ...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: nobody nobody
Barak Dagan
Depends On:
  Show dependency treegraph
Reported: 2012-09-10 14:41 EDT by Oded Ramraz
Modified: 2014-07-13 19:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-19 09:46:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oded Ramraz 2012-09-10 14:41:04 EDT
Description of problem:

I didn't find a way to define number of VM's when creating a new VM pool. 
This field is quite essential for VM pools creation. 


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

RHEVM shell (connected)]# help create vmpool  

  create <type> [base identifiers] [attribute options]
  Create a new object with type vmpool. See 'help create' for generic
  help on creating objects.
  The following options are available for objects with type vmpool:
    * --cluster-id|name: string
    * --template-id|name: string
    * --name: string
    * [--expect: 201-created]
    * [--correlation_id: anystring]
    Note: collection based arguments syntax is:
    --<type>.<collection-obj>.<collection-member> "<collection-item>.<collection-item-property>=value,..."
    --power_management-options-option "option.name=n1,option.value=v1"
    --power_management-options-option "option.name=n2,option.value=v2"
    * 002 (COMMAND_ERROR)
    * 003 (INTERRUPTED)
    * 011 (NOT_FOUND)
    * 000 (OK)
    * 010 (REMOTE_ERROR)
    * 001 (SYNTAX_ERROR)
    * 004 (UNKNOWN_ERROR)
## from the detailed documentation : 

Comment 1 Oded Ramraz 2012-09-10 14:54:19 EDT
What about prestarted VM's in pool ? It is missing as well.
Comment 2 Michael Pasternak 2012-09-11 00:59:05 EDT
size treated by #854272
Comment 3 Itamar Heim 2012-09-11 01:30:27 EDT
you can define number of pre-started in gui as well.
actually (and i hope we have a backend validation rather than just gui preventing this), you can't ever set more pre-started VMs then those that already exist in the pool (for now).

so only question for now is if you can set it for an already created pool
Comment 4 Michael Pasternak 2012-09-11 01:50:56 EDT
yes, but manually using --prestarted_vms option

however, RSDL defined params are:

    * [--cluster-id|name: string]
    * [--template-id|name: string]
    * [--name: string]
    * [--correlation_id: anystring]

i.e this param should be added in RSDL vmpool.update() as well
Comment 5 Itamar Heim 2013-05-19 09:46:29 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.